#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QLabel>
#include <QPixmap>
#include <QMainWindow>
#include <QFileDialog>
#include <QProgressDialog>

#include "tasks.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
	Q_OBJECT

public:
	explicit MainWindow(QWidget *parent = nullptr);
	~MainWindow();

signals:
	void startCaptureImage();
	void stopCaptureImage();
	void startComparison();
	void startTemplate();

private slots:
	void on_pushButton_clicked();
	void on_pushButton_2_clicked();
	void on_pushButton_3_clicked();
	void on_pushButton_4_clicked();
	void on_pushButton_5_clicked();
	void on_pushButton_6_clicked();

	void showImage(QPixmap);
	void showDeviceInfo(QString);
	void templateResults(bool);
	void comparisonResults(bool);

private:
	void setShowButton(int);

	Ui::MainWindow *ui;

	bool m_init;
	bool m_collection;
	QLabel *m_statusInfo;
	QPixmap m_lift;
	QPixmap m_press;

	Tasks m_tasks;
};

#endif	// MAINWINDOW_H
