#ifndef TASKS_H
#define TASKS_H

#include <QObject>
#include <QTimer>
#include <QPixmap>

#include "efd400.h"

class Tasks : public QObject
{
	Q_OBJECT
public:
	explicit Tasks(QObject *parent = nullptr);
	~Tasks();

	int openDevice();
	void closeDevice();

public slots:
	void startCaptureImage();
	void stopCaptureImage();
	void startComparison();
	void startTemplate();

signals:
	void sendDeviceInfo(QString);
	void sendFingerState(int);
	void sendTemplateResults(bool);
	void sendCaptureImage(QPixmap);
	void sendComparisonResults(bool);

private slots:
	void captureImageTask();

private:
	int m_count;
	int m_singleCount;
	bool m_startComparison;
	bool m_startTemplate;
	QTimer m_captureTimer;

	int m_feaSize;
	int m_tmplSize;
	unsigned char m_feature[512];
};

#endif	// TASKS_H
