#ifndef IDFPRH
#define IDFPRH

#define FP_ERR_SUCCESS (1)
#define FP_ERR_INVALIDE_PARAMETER (-1)
#define FP_ERR_NOT_ENOUGH_MEMORY (-2)
#define FP_ERR_NO_SUPPORT_FUNCTION (-3)
#define FP_ERR_UNKNOWN (-9)
#define FP_ERR_AUTHORIZE (-11)

#ifdef __cplusplus

extern "C" {
#endif
int FP_GetVersion(unsigned char code[4]);
int FP_Begin();
int FP_FeatureExtract(unsigned char cScannerType, unsigned char cFingerCode,
	unsigned char* pFingerImgBuf, unsigned char* pFeatureData);
int FP_FeatureMatch(unsigned char* pFeatureData1, unsigned char* pFeatureData2,
	float* pfSimilarity);
int FP_ImageMatch(unsigned char* pFingerImgBuf, unsigned char* pFeatureData, float* pfSimilarity);
int FP_GetQualityScore(unsigned char* pFingerImgBuf, unsigned char* pnScore);
int FP_GenFeatureFromEmpty1(unsigned char cScannerType, unsigned char cFingerCode,
	unsigned char* pFeatureData);
int FP_GenFeatureFromEmpty2(unsigned char cFingerCode, unsigned char* pFeatureData);
int FP_End();

#ifdef __cplusplus
}

#endif

#endif	//IDFPRH
